List allowed AWS regions
curl --request GET \
--url https://9nr7sbhimh.execute-api.us-west-1.amazonaws.com/prod/settings/aws-regions \
--header 'Authorization: Bearer <token>'import requests
url = "https://9nr7sbhimh.execute-api.us-west-1.amazonaws.com/prod/settings/aws-regions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://9nr7sbhimh.execute-api.us-west-1.amazonaws.com/prod/settings/aws-regions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
"us-east-1"
]{
"code": "common.internal_error",
"error": "<string>",
"meta": {}
}{
"code": "common.internal_error",
"error": "<string>",
"meta": {}
}Settings
List allowed AWS regions
GET
/
settings
/
aws-regions
List allowed AWS regions
Authorizations
BearerAuthApiKeyAuth
Bearer token in the Authorization header (e.g. JWT / Cognito access token).
Response
OK
AWS region identifier. Matches models.AwsRegion JSON values in paas-lib.
Available options:
us-east-1, us-east-2, us-west-1, us-west-2, us-gov-east-1, us-gov-west-1, ca-central-1, ca-west-1, eu-central-1, eu-central-2, eu-north-1, eu-west-1, eu-west-2, eu-west-3, eu-south-1, eu-south-2, me-south-1, me-central-1, mx-central-1, cn-north-1, cn-northwest-1, ap-east-1, ap-south-1, ap-south-2, ap-northeast-1, ap-northeast-2, ap-northeast-3, ap-southeast-1, ap-southeast-2, ap-southeast-3, ap-southeast-4, ap-southeast-5, ap-east-2, ap-southeast-7, ap-southeast-6, af-south-1, sa-east-1